Skip to main content
GET
/
api
/
constraint
/
container
/
{containerId}
Lists all constraints that belong to a specific container.
curl --request GET \
  --url https://{tenant}.ekso.app/api/constraint/container/{containerId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "name": "<string>",
    "container": [
      "<string>"
    ],
    "sourceFieldId": "<string>",
    "sourceFieldDataId": "<string>",
    "targetFieldId": "<string>",
    "targetFieldDataId": [
      "<string>"
    ],
    "targetMode": 123,
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

containerId
string
required

The unique identifier of the container to filter by.

Response

List of constraints for the container.

entity
null | string
name
string
container
string[]
sourceFieldId
string
sourceFieldDataId
string
targetFieldId
string
targetFieldDataId
string[]
targetMode
integer
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean